package com.ruoyi.dxp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户订阅资源对象 dxp_user_resource
 *
 * @author jy
 * @date 2023-01-04
 */
public class UserResource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 访问id，全局唯一 */
    @Excel(name = "访问id，全局唯一")
    private String callId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 资源类型：data数据，service服务 */
    @Excel(name = "资源类型：data数据，service服务")
    private String resourceType;

    /** 资源id：数据或服务id */
    @Excel(name = "资源id：数据或服务id")
    private Long resourceId;

    /** 资源名称 */
    @Excel(name = "资源名称")
    private String resourceName;

    /** 应用id */
    @Excel(name = "应用id")
    private Long applicationId;

    /** 应用名称 */
    @Excel(name = "应用名称")
    private String applicationName;

    /** 发布机构 */
    @Excel(name = "发布机构")
    private String provideOrganization;

    /** 数据格式：JSON，XML */
    @Excel(name = "数据格式：JSON，XML")
    private String format;

    /** 日调用量限制 */
    @Excel(name = "日调用量限制")
    private Long dayLimit;

    /** 是否订阅（1是） */
    @Excel(name = "是否订阅", readConverterExp = "1=是")
    private String isSubscribe;

    /** 订阅回调地址 */
    @Excel(name = "订阅回调地址")
    private String subscribeUrl;

    /** 审核状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "审核状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 审核说明 */
    @Excel(name = "审核说明")
    private String statusRemark;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditRemark;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCallId(String callId)
    {
        this.callId = callId;
    }

    public String getCallId()
    {
        return callId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setResourceType(String resourceType)
    {
        this.resourceType = resourceType;
    }

    public String getResourceType()
    {
        return resourceType;
    }
    public void setResourceId(Long resourceId)
    {
        this.resourceId = resourceId;
    }

    public Long getResourceId()
    {
        return resourceId;
    }
    public void setResourceName(String resourceName)
    {
        this.resourceName = resourceName;
    }

    public String getResourceName()
    {
        return resourceName;
    }
    public void setApplicationId(Long applicationId)
    {
        this.applicationId = applicationId;
    }

    public Long getApplicationId()
    {
        return applicationId;
    }
    public void setApplicationName(String applicationName)
    {
        this.applicationName = applicationName;
    }

    public String getApplicationName()
    {
        return applicationName;
    }
    public void setProvideOrganization(String provideOrganization)
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization()
    {
        return provideOrganization;
    }
    public void setFormat(String format)
    {
        this.format = format;
    }

    public String getFormat()
    {
        return format;
    }
    public void setDayLimit(Long dayLimit)
    {
        this.dayLimit = dayLimit;
    }

    public Long getDayLimit()
    {
        return dayLimit;
    }
    public void setIsSubscribe(String isSubscribe)
    {
        this.isSubscribe = isSubscribe;
    }

    public String getIsSubscribe()
    {
        return isSubscribe;
    }
    public void setSubscribeUrl(String subscribeUrl)
    {
        this.subscribeUrl = subscribeUrl;
    }

    public String getSubscribeUrl()
    {
        return subscribeUrl;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setStatusRemark(String statusRemark)
    {
        this.statusRemark = statusRemark;
    }

    public String getStatusRemark()
    {
        return statusRemark;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setAuditBy(String auditBy)
    {
        this.auditBy = auditBy;
    }

    public String getAuditBy()
    {
        return auditBy;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditRemark(String auditRemark)
    {
        this.auditRemark = auditRemark;
    }

    public String getAuditRemark()
    {
        return auditRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("callId", getCallId())
                .append("userId", getUserId())
                .append("resourceType", getResourceType())
                .append("resourceId", getResourceId())
                .append("resourceName", getResourceName())
                .append("applicationId", getApplicationId())
                .append("applicationName", getApplicationName())
                .append("provideOrganization", getProvideOrganization())
                .append("format", getFormat())
                .append("dayLimit", getDayLimit())
                .append("isSubscribe", getIsSubscribe())
                .append("subscribeUrl", getSubscribeUrl())
                .append("remark", getRemark())
                .append("status", getStatus())
                .append("statusRemark", getStatusRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("auditBy", getAuditBy())
                .append("auditTime", getAuditTime())
                .append("auditRemark", getAuditRemark())
                .toString();
    }
}
